> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fuse.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Fungible ERC20 Token Balances



## OpenAPI

````yaml /api-references/balances-api.yaml get /assets/{address}
openapi: 3.0.0
info:
  title: Balances API
  description: >
    The Balances API provides endpoints to query wallet balances for NFTs and
    ERC20 tokens.
  version: 1.0.0
servers:
  - url: https://api.fuse.io/api/v0/balances
    description: Production server
security: []
tags:
  - name: NFT tokens
    description: >-
      The NFT Assets API lets you get all ERC-721 and ERC-1155 NFT assets owned
      by an address.
  - name: ERC20 tokens
    description: >-
      The ERC20 Assets API lets you get all ERC20 tokens owned by an address
      including the native token.
paths:
  /assets/{address}:
    get:
      tags:
        - ERC20 tokens
      summary: Get Fungible ERC20 Token Balances
      parameters:
        - $ref: '#/components/parameters/ApiKey'
        - name: address
          in: path
          required: true
          schema:
            type: string
          description: The wallet address to query for ERC20 tokens.
        - name: tokenAddress
          in: query
          required: false
          schema:
            type: string
          description: >-
            Optional. The specific token address to query. If not provided, all
            token balances will be returned.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetBalancesResponse'
        '403':
          $ref: '#/components/responses/ForbiddenError'
components:
  parameters:
    ApiKey:
      name: apiKey
      in: query
      required: true
      schema:
        type: string
      description: Your API key to authenticate requests.
  schemas:
    AssetBalancesResponse:
      type: object
      properties:
        message:
          type: string
        result:
          type: array
          items:
            $ref: '#/components/schemas/FungibleToken'
        status:
          type: string
    FungibleToken:
      type: object
      properties:
        balance:
          type: string
        contractAddress:
          type: string
        decimals:
          type: string
        name:
          type: string
        symbol:
          type: string
        type:
          type: string
  responses:
    ForbiddenError:
      description: Access to the resource is forbidden.
      content:
        application/json:
          schema:
            type: object
            properties:
              statusCode:
                type: integer
              errorMessage:
                type: string
              error:
                type: string

````